
set terminal pdfcairo enhanced size 17.4cm,3cm font 'Mono,6'
set output 'consensus_RBD.pdf'

set yrange [-4:4]

set obj 1 rectangle from 318,graph 0 to 510,graph 1 fc rgb 'gold' behind
set obj 4 rectangle from 442,graph 0 to 494,graph 1 fc rgb 'gold' fs solid 0.1 border behind

set label 5 'RBM' at 468.5,graph 0.3 center font "Arial,8"

set ylabel 'f_{res}^{Cov2} - f_{res}^{Cov1}' font 'Arial,6'
unset label 10
unset label 12 

set label 10 "Cov2 PNITNLCPFGEVFNATRFASVYAWNRKRISNCVADYSVLYNSASFSTFKCYGVSPTKLNDLCFTNVYADSFVIRGDEVRQIAPGQTGKIADYNYKLPDDFTGCVIAWNSNNLDSKVGGNYNYLYRLFRKSNLKPFERDISTEIYQAGSTPCNGVEGFNCYFPLQSYGFQPTNGVGYQPYRVVVLSFELLHAPA" at screen 0.003,screen 0.10
set label 12 "Cov1 PNITNLCPFGEVFNATKFPSVYAWERKKISNCVADYSVLYNSTFFSTFKCYGVSATKLNDLCFSNVYADSFVVKGDDVRQIAPGQTGVIADYNYKLPDDFMGCVLAWNTRNIDATSTGNYNYKYRYLRHGKLRPFERDISNVPFSPDGKPCT.PPALNCYWPLNDYGFYTTTGIGYQPYRVVVLSFELLNAPA" at screen 0.003,screen 0.05

set lmargin 6
set rmargin 6.4
set bmargin 4
plot [318:510]  \
	'< grep "^C" consensus_12345_up.dat'   u 2:14:xtic(4) w impulse lc rgb'black'  lw 6 notitle,\
	'< grep "^C" consensus_12345_up.dat | egrep " E | D "' u 2:14:xtic(4) w impulse lc rgb'#e2ff3d' lw 3 t 'Negatively Charged',\
	'< grep "^C" consensus_12345_up.dat | egrep " R | K "' u 2:14:xtic(4) w impulse lc rgb'#3dff6a' lw 3 t 'Positively Charged',\
	'< grep "^C" consensus_12345_up.dat | egrep " F | Y | W | A | I | L | M | V"' u 2:14:xtic(4) w impulse lc rgb'#ff3de2' lw 3 t 'Hydrofobic',\
	'< grep "^C" consensus_12345_up.dat | egrep " S | T | N | Q  | C "' u 2:14:xtic(4) w impulse lc rgb'#ff4a3d' lw 3 t 'Polar Neutral'
