#!/bin/bash

function getframes {
python3 << EOF
#!/usr/bin/python3
import sys
import glob
import pytraj
for name in glob.glob("$1"):
	print(name)
	traj = pytraj.load(name,'strip.parm7')
	pytraj.write_traj(name.replace(".nc",".pdb"),traj,overwrite=True,options='multi')
EOF
}

function proc {
	local name=$1
	if [ -f $name ]; then
		local map=${name/pdb/map}
		if [ ! -f $map ]; then
			echo $map
			contact_map $name > $map
		fi
		local uni=${name/pdb/uniq}
		if [ ! -f $uni ]; then
			echo $uni
			grep -E "1 [01] [01] [01] | [01] [01] [01] 1 " $map | awk '{ print $4" "$5" "$6}' | uniq -c > $uni
		fi
	fi
}


getframes "strip.rep5.nc"

for k in $(seq 1 5 1500)
do
	echo $k "to" $(( k + 4 ))
	proc "strip.rep5.pdb."$(( k + 0 )) &
	proc "strip.rep5.pdb."$(( k + 1 )) &
	proc "strip.rep5.pdb."$(( k + 2 )) &
	proc "strip.rep5.pdb."$(( k + 3 )) &
	proc "strip.rep5.pdb."$(( k + 4 )) &

	wait
done
